WingzParserInternal::Spreadsheet Struct Reference documentation

WingzParserInternal::Spreadsheet Struct Reference

Internal: the spreadsheet data of a WingzParser. More...

## Public Member Functions
| Spreadsheet ()
| constructor
float | getRowHeight (int row) const
| returns the row size in point
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row
std::vector< float > | convertInPoint (std::vector< float > const &list) const
| convert the m_widthCols in a vector of of point size
MWAWVec2f | getPosition (MWAWVec2i const &cell, MWAWVec2f const &relPos) const
| returns the page position corresponding to a cell and its relative position(in percent)
void | update (Cell &cell) const
| update the cell, ie. look if there is a avalaible formula, ...

## Public Attributes
float | m_widthDefault
| the default column width
std::vector< float > | m_widthCols
| the column size in points
float | m_heightDefault
| the default row height
std::vector< float > | m_heightRows
| the row height in points
std::vector< Cell > | m_cells
| the list of not empty cells
std::map< int, MWAWCellContent::FormulaInstruction > | m_cellIdPosMap
| the map cellId to cellPos
std::map< int, std::vector< MWAWCellContent::FormulaInstruction > > | m_formulaMap
| the list of formula
std::map< int, Style > | m_styleMap
| the list of style
std::string | m_name
| the spreadsheet name

## Protected Member Functions
MWAWVec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position

## Detailed Description

Internal: the spreadsheet data of a WingzParser.

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

WingzParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ convertInPoint()

std::vector< float > WingzParserInternal::Spreadsheet::convertInPoint | ( | std::vector< float > const & | list | ) | const
| inline

convert the m_widthCols in a vector of of point size

## ◆ getPosition()

MWAWVec2f WingzParserInternal::Spreadsheet::getPosition | ( | MWAWVec2i const & | cell,
|  | MWAWVec2f const & | relPos ) const
| inline

returns the page position corresponding to a cell and its relative position(in percent)

## ◆ getRightBottomPosition()

MWAWVec2i WingzParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inlineprotected

returns the last Right Bottom cell position

Referenced by convertInPoint().

## ◆ getRowHeight() [1/2]

float WingzParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

Referenced by getRowHeight().

## ◆ getRowHeight() [2/2]

float WingzParserInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated ) const
| inline

returns the height of a row in point and updated repeated row

## ◆ update()

void WingzParserInternal::Spreadsheet::update | ( | Cell & | cell | ) | const

update the cell, ie. look if there is a avalaible formula, ...

## Member Data Documentation

## ◆ m_cellIdPosMap

std::map<int, MWAWCellContent::FormulaInstruction> WingzParserInternal::Spreadsheet::m_cellIdPosMap

the map cellId to cellPos

Referenced by Spreadsheet().

## ◆ m_cells

std::vector<Cell> WingzParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by getRightBottomPosition(), and Spreadsheet().

## ◆ m_formulaMap

std::map<int, std::vector<MWAWCellContent::FormulaInstruction> > WingzParserInternal::Spreadsheet::m_formulaMap

the list of formula

Referenced by Spreadsheet(), and update().

## ◆ m_heightDefault

float WingzParserInternal::Spreadsheet::m_heightDefault

the default row height

Referenced by getPosition(), getRowHeight(), and Spreadsheet().

## ◆ m_heightRows

std::vector<float> WingzParserInternal::Spreadsheet::m_heightRows

the row height in points

Referenced by getPosition(), getRowHeight(), getRowHeight(), and Spreadsheet().

## ◆ m_name

std::string WingzParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by Spreadsheet().

## ◆ m_styleMap

std::map<int, Style> WingzParserInternal::Spreadsheet::m_styleMap

the list of style

Referenced by Spreadsheet().

## ◆ m_widthCols

std::vector<float> WingzParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by getPosition(), and Spreadsheet().

## ◆ m_widthDefault

float WingzParserInternal::Spreadsheet::m_widthDefault

the default column width

Referenced by convertInPoint(), getPosition(), and Spreadsheet().

The documentation for this struct was generated from the following file:

- WingzParser.cxx